#jinja2: lstrip_blocks: "True"
[Unit]
Description={{ prometheus_blackbox_exporter_identifier }}
{% for service in prometheus_blackbox_exporter_systemd_required_services_list %}
Requires={{ service }}
After={{ service }}
{% endfor %}
{% for service in prometheus_blackbox_exporter_systemd_wanted_services_list %}
Wants={{ service }}
{% endfor %}
DefaultDependencies=no

[Service]
Type=simple
Environment="HOME={{ devture_systemd_docker_base_systemd_unit_home_path }}"
ExecStartPre=-{{ devture_systemd_docker_base_host_command_sh }} -c '{{ devture_systemd_docker_base_host_command_docker }} kill {{ prometheus_blackbox_exporter_identifier }} 2>/dev/null || true'
ExecStartPre=-{{ devture_systemd_docker_base_host_command_sh }} -c '{{ devture_systemd_docker_base_host_command_docker }} rm {{ prometheus_blackbox_exporter_identifier }} 2>/dev/null || true'

ExecStartPre={{ devture_systemd_docker_base_host_command_docker }} create --rm --name {{ prometheus_blackbox_exporter_identifier }} \
			--log-driver=none \
			--user={{ prometheus_blackbox_exporter_uid }}:{{ prometheus_blackbox_exporter_gid }} \
			--cap-drop=ALL \
			--read-only \
			{% for arg in prometheus_blackbox_exporter_container_extra_arguments %}
			{{ arg }} \
			{% endfor %}
			--network={{ prometheus_blackbox_exporter_container_network }} \
			{% if prometheus_blackbox_exporter_container_http_host_bind_port %}
			-p {{ prometheus_blackbox_exporter_container_http_host_bind_port }}:9100 \
			{% endif %}
			--pid=host \
			--label-file={{ prometheus_blackbox_exporter_config_path }}/labels \
			--mount type=bind,src=/,dst=/host,ro,bind-propagation=rslave \
			--mount type=bind,src={{ prometheus_blackbox_exporter_config_path }},dst=/config \
			{{ prometheus_blackbox_exporter_docker_image }} \
			--config.file=/config/config.yml {{ prometheus_blackbox_exporter_process_extra_arguments|join(' ') }}

{% for network in prometheus_blackbox_exporter_container_additional_networks %}
ExecStartPre={{ devture_systemd_docker_base_host_command_docker }} network connect {{ network }} {{ prometheus_blackbox_exporter_identifier }}
{% endfor %}

ExecStart={{ devture_systemd_docker_base_host_command_docker }} start --attach {{ prometheus_blackbox_exporter_identifier }}


ExecStop=-{{ devture_systemd_docker_base_host_command_sh }} -c '{{ devture_systemd_docker_base_host_command_docker }} kill {{ prometheus_blackbox_exporter_identifier }} 2>/dev/null || true'
ExecStop=-{{ devture_systemd_docker_base_host_command_sh }} -c '{{ devture_systemd_docker_base_host_command_docker }} rm {{ prometheus_blackbox_exporter_identifier }} 2>/dev/null || true'
Restart=always
RestartSec=30
SyslogIdentifier={{ prometheus_blackbox_exporter_identifier }}

[Install]
WantedBy=multi-user.target
